package com.mortals.flowable.dao.flowable;


import com.mortals.xhx.common.pdu.flow.FlowTaskPdu;
import com.mortals.xhx.flowable.task.CommonTaskQuery;
import com.mortals.xhx.flowable.task.CommonTaskReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 *
 * @author: zxfei
 * @date: 2021/9/1 9:08
 */
@Mapper
@Repository
public interface IFlowableTaskDao {


    /**
     * 查询待办任务 条数
     * @param params 参数
     * @return
     */
    int getApplyingTasksCount(@Param("params") CommonTaskQuery params) ;

    /**
     * 查询待办任务
     * @param params 参数
     * @return
     */
    List<FlowTaskPdu> getApplyingTasks(@Param("params") CommonTaskQuery params) ;

    /**
     * 查询已办任务列表
     * @param params 参数
     * @return
     */
    List<FlowTaskPdu> getApplyedTasks(@Param("params")CommonTaskQuery params) ;

    /**
     * 查询已办任务列表
     * @param params 参数
     * @return
     */
    int getApplyedTasksCount(@Param("params")CommonTaskQuery params) ;

}
